%global __requires_exclude ^perl\\((Pod::Man|Pod::Simple::XMLOutStream|Pod::Simple::RTF)\\)$

%global cpan_version 3.28

Summary:        Look up Perl documentation in Pod format and display it
Name:           perl-Pod-Perldoc
Version:        3.28.01
Release:        5%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Pod-Perldoc
Source0:        https://cpan.metacpan.org/authors/id/M/MA/MALLEN/Pod-Perldoc-%{cpan_version}.tar.gz

Patch0001:      Pod-Perldoc-3.28-Upgrade-to-3.2801.patch
Patch3000:      Pod-Perldoc-3.28-Add-a-test-for-a-truncated-perldoc-f-tr-output.patch
Patch3001:      Pod-Perldoc-3.28-Search-for-X-in-the-whole-perlop-document.patch

BuildRequires:  make groff-base perl-generators perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict) perl(warnings) perl(Carp) perl(Config) perl(Encode) perl(Fcntl)
BuildRequires:  perl(File::Basename) perl(File::Spec::Functions) perl(Pod::Simple::Checker)
BuildRequires:  perl(Pod::Text) perl(Pod::Text::Color)  perl(Pod::Text::Termcap) perl(File::Spec)
BuildRequires:  perl(IO::Select) perl(parent) perl(vars) perl(blib) perl(FindBin) perl(Test::More)
BuildRequires:  perl(Pod::Man) >= 2.18
BuildRequires:  perl(Pod::Simple::RTF) >= 3.16
BuildRequires:  perl(Pod::Simple::XMLOutStream) >= 3.16
Requires:       groff-base perl(Pod::Simple::Checker)
Requires:       perl(HTTP::Tiny) perl(IO::Handle) perl(IPC::Open3) perl(Text::ParseWords) perl(Symbol)
Requires:       perl(File::Temp) >= 0.22
Requires:       perl(Pod::Simple::RTF) >= 3.16
Requires:       perl(Pod::Simple::XMLOutStream) >= 3.16

BuildArch:      noarch

%description
The guts of perldoc utility.

%prep
%autosetup -n Pod-Perldoc-%{cpan_version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{_bindir}/perldoc
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.28.01-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 Xiaojie Chen <jackxjchen@tencent.com> - 3.28.01-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.28.01-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.28.01-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Aug 15 2022 ZoeDong <zoedong@tencent.com> - 3.28.01-1
- Initial build

